Skip to Content

Upgrade XI 3.0 to nW PI 7.1: DEPLOY_ONLINE error at Downtime step

Hi, we trying upgrade XI 3.0 (Netweaver04, AIX 5.3, Oracle 10.2.0.4) to Netweaver PI 7.1.

At "Downtime" step of upgrade, it stops at JAVA phase "DEPLOY_ONLINE" with error in "/usr/sap/XIU/upg/java/log/DEPLOY_ONLINE_DB_DOD_02.LOG":

{

...

Oct 3, 2008 10:57:33 AM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Deployment finished with error. See Deploy Controller log /usr/sap/XIU/upg/java/log/deploy_2008-10-03_10-43-32.log for details.

Oct 3, 2008 10:57:33 AM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Deployment of archive /usr/sap/XIU/upg/java/data/archives/ADSSAP04_0.SCA for component sap.com/ADSSAP aborted

...

Oct 3, 2008 10:57:33 AM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Deployment of archive /usr/sap/XIU/upg/java/data/archives/BASETABLES04_0.SCA for component sap.com/BASETABLES aborted

...

Oct 3, 2008 10:57:33 AM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Deployment of archive /usr/sap/XIU/upg/java/data/archives/CAFUM04_0.SCA for component sap.com/CAF-UM aborted

...

...

Oct 3, 2008 10:57:36 AM [Error]: com.sap.sdt.ucp.phases.AbstractPhaseType.doExecutexAbstractPhaseType.javax862x [Thread[main,5,main]]: Exception has occurred during the execution of the phase.

Oct 3, 2008 10:57:36 AM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl.deployListxDeploymentManagerImpl.javax496x [Thread[main,5,main]]: Deployment exception. See log /usr/sap/XIU/upg/java/log/deploy_2008-10-03_10-43-32.log for details.

Oct 3, 2008 10:57:36 AM [Error]: com.sap.sdt.j2ee.phases.PhaseTypeDeploymentManager.executexPhaseTypeDeploymentManager.javax507x [Thread[main,5,main]]: Error while executing DeploymentManager phase with action deploySlot. Check the log files for the specified action.

...

}

in "deploy_2008-10-03_10-43-32.log":

{

...

Oct 3, 2008 10:57:33 AM [Error ]:Deployment Exception during deployment phase 'DeploymentException',cause=[ERROR CODE DPL.DC.3068] The Deploy Controller cannot unlock the database because of the offline deployment. The deployment could not be performed.; nested exception is:

com.sap.engine.services.dc.cm.lock.DCLockNotFoundException: [ERROR CODE DPL.DC.3104] Cannot perform 'unlock' operation in 'DB' for argument 'deploy_controller/lock/single_thread' and user 'Deploy', because it is not locked.; nested exception is:

com.sap.engine.frame.core.configuration.NameNotFoundException: A configuration with the path "deploy_controller/lock/single_thread" and cid "unknown" does not exist.

...

}

Did anybody get this error and found solurion?

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

5 Answers

  • Best Answer
    avatar image
    Former Member
    Oct 09, 2008 at 10:35 PM

    I downloaded again SPS 6 again, thinking that possibly one of the files was bad/corrupt etc., and no luck, same error. I have tried a million different things-- no luck. I have a message in with SAP as well. I'll let you know if we find a solution.

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Hello,

      I had aboute the same problem, new installation PI 71, when applying SPS7 I got the error when deplying the Java part:

      Reason: [ERROR CODE DPL.DC.3068] The Deploy Controller cannot unlock the database because of the offline deployment. The deployment could not

      be performed.; nested exception is:

      com.sap.engine.services.dc.cm.lock.DCLockNotFoundException: [ERROR CODE DPL.DC.3104] Cannot perform 'unlock' operation in 'DB' for ar

      gument 'deploy_controller/lock/single_thread' and user 'Deploy', because it is not locked.; nested exception is:

      com.sap.engine.frame.core.configuration.NameNotFoundException: A configuration with the path "deploy_controller/lock/single_thread" a

      nd cid "unknown" does not exist.. Deployment finished with error. See Deploy Controller log /usr/sap/VIS/DVEBMGS32/j2ee/JSPM/log/log_2009_02_

      05_11_55_34/deploy_2009-02-05_12-27-41.log for details.. <br><b>Overall deployment messages:</b>. See Deploy Controller log /usr/sap/VIS/DVEB

      MGS32/j2ee/JSPM/log/log_2009_02_05_11_55_34/deploy_2009-02-05_12-27-41.log for details.. Deployment of archive /usr/sap/trans/EPS/in/CFGZA07_

      0-20001879.SCA for component sap.com/CFG_ZA aborted. Software component CFG_ZA deployment messages:.

      .

      I resolved the issue by :

      Downlod a newer version of ojdbc14.jar and replace it with the old one in /oracle/SID/102_64/jdbc/lib

      Download latest version (10.2.0.4.5) of opatch an extract it over the old one, this for for to aviod ('invalid entry compressed size (expected 31214 but got 30948 bytes)' when installing the oracle patch

      Download oracle patch p7252962_10204_generic.zip (contains oracle 6396242 patch)

      Run opatch to install patch 7252962

      I copied the updated ojdbc14.jar from directory "/oracle/SID/102_64/jdbc/lib" to:

      /oracle/client/10x_64/instantclient_10204_V1

      I restarted the JSPM and deployed all SCA:s without any problems.

  • avatar image
    Former Member
    Oct 10, 2008 at 03:53 PM

    I have installed PI 7.1 and upgraded to SPS6.0 with no issues.

    1- Installed PI 7.1

    2-Copied *.SCA, extracted *.SAR to /usr/sap/trans/EPS/in using SAPCAR and Copied Kernel *.SAR files to /usr/sap/trans/EPS/in

    3- Upgrade JAVA stack

    4- Log in as DDIC in ABAP and import SPS (SPAM)

    5- Upgrade SPAM to version 30

    6- Started the upgrade in the background

    JSPM extracts the kernel during the upgrade, there is no need to manually extract it. Do not forget to back up your kernel prior.

    -Damien

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Folks:

      Thanks for posting the above solutions to the post. This was certainly helpful in resolving our issue.

      • We were upgrading from PI 7.0 to PI 7.11 (PI 7.1 and EHP 1)

      • Received the following error in the "DEPLOY_ONLINE_SHD_DM_DLD_10" Phase.

      With help from SAP we were able to get it going further.

      We had to:

      • Update the Oracle Client to 10.2.0.4

      • Updating the JVM to its PI 7.11 SP03 equivalent: SAPJVM5_38-10004309.SAR

      • Shut down the Upgrade SDT Frontend GUI.

      • Shut down the Shadow instance:

      • Restart Shadow instance

      • Start the Upgrade GUI Service

      • Ensure the j2ee Shadow Instance is up and running.

      • Continue with the DEPLOY_ONLINE_SHD_DM_DLD phase.

      • Luckily, it did proceed further.

      For some who are already on 10.2.0.4, try to update to, as others in this post had mentioned to the higher patch 10.2.0.4.5.

      I am copy/pasting the errors keywords:

      The execution of UPGRADE/INSTALL_SHADOW_ENGINE/DEPLOY_ONLINE_SHD_DM ended in error.

      Error while executing DeploymentManager phase with action deploySlot. Check the log files for the specified action.

      Deployment error. See log /usr/sap/put/<SID>/upgrade/java/log/deploy_2009-09-18_09-25-08.log for details.

      com.sap.engine.services.dc.api.deploy.DeployException: [ERROR CODE DPL.DCAPI.1027] P4RuntimeException.

      Reason: Unexpected exception

      com.sap.engine.services.rmi_p4.P4RuntimeException: Unexpected exception

      java.rmi.RemoteException: ERROR : ; nested exception is:

      java.lang.NoClassDefFoundError: com/sap/engine/library/bytecode/cf/FieldInfo

      java.lang.NoClassDefFoundError: com/sap/engine/library/bytecode/cf/FieldInfo

      com.sap.sdt.j2ee.phases.PhaseTypeDeploymentManager

      com.sap.sdt.ucp.phases.PhaseException

      Error while executing DeploymentManager phase with action deploySlot. Check the log files for the specified action.

      DEPLOY_ONLINE_SHD_DM

      INSTALL_SHADOW_ENGINE

      UPGRADE

      NetWeaver Upgrade

      SAPJup

      Java Upgrade

      ===================

      Sep 18, 2009 7:11:29 AM [Error]: com.sap.sdt.ucp.phases.AbstractPhaseType.doExecute(AbstractPhaseType.java:863) [Thread[main,5,main]]: Exception has occurred during the execution of the phase.

      Sep 18, 2009 7:11:29 AM [Error]: com.sap.sdt.ucp.phases.AbstractPhaseType.doExecute(AbstractPhaseType.java:864) [Thread[main,5,main]]: com.sap.engine.services.dc.api.deploy.DeployException: [ERROR CODE DPL.DCAPI.1027] P4RuntimeException.

      Reason: Unexpected exception

      ====================

      Sep 17, 2009 4:37:56 PM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Detailed message: 1. Item is skipped because of failed deployment of item 'sap.com_tcbizclib' and because the applied error strategy is OnErrorStop

      Sep 17, 2009 4:37:56 PM [Info]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Archive /usr/sap/put/ /upgrade/java/data/archives/ENGINEAPI03_0-20002603.SCA for component sap.com/ENGINEAPI was deployed successfully

      Sep 17, 2009 4:37:56 PM [Info]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Detailed message: 1. Item is skipped because of failed deployment of item 'sap.com_tcbizclib' and because the applied error strategy is OnErrorStop

      Sep 17, 2009 4:37:56 PM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Deployment of archive /usr/sap/put/ /upgrade/java/data/archives/EPBASIS03_0-20002663.SCA for component sap.com/EP-BASIS is rejected because deployment of other component it depends on is rejected

      Sep 17, 2009 4:37:56 PM [Error]: com.sap.sdt.j710.deploymentmgr.DeploymentManagerImpl [Thread[main,5,main]]: Detailed message: 1. Item is skipped because of failed deployment of item 'sap.com_tcbizclib' and because the applied error strategy is OnErrorStop

      =============================================

  • avatar image
    Former Member
    Oct 08, 2008 at 09:49 PM

    I am getting the same error while trying to deploy SPS 6 to 7.1 PI with JSPM. Have you started a message with SAP?

    Add comment
    10|10000 characters needed characters exceeded

  • Oct 09, 2008 at 06:57 AM

    to Jack Archer:

    We are started to upgrade with SP6, but got this error and try to upgrade without any SP now. But error still exists.

    Yes, i am started message to SAP. Waiting...

    Did you have installing PI 7.1 or upgrade to PI 7.1 from lower version?

    Edited by: Slava Vaschenko on Oct 9, 2008 10:59 AM

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Oct 09, 2008 at 01:40 PM

    Ours is a new install of PI 7.10. It installs with level sps 4. We completed the installation successfully, and are attempting to import sps6, so we will be at the latest release. I was able to get the Abap SPs at level 6 applied successfully, but he JSPM (java) side of the SPSs is showing the error. I followed the guide exactly as it asks you to upgrade the Kernel and a couple of other items through JSPM and then do the Abap SPs and then come back to JSPM and apply the remaining SPS items on the java side. I cannot find anything on this error -- nothing. I am thinking to try SPS 5 to see what happens. I thought I did something wrong (didn't pick SP stack in jspm first time through) yesterday, so I restored to a backup I took earlier in the day (long process), so everything was clean -- and same error -- really disapointing. Can you try sps 5 easily?

    Add comment
    10|10000 characters needed characters exceeded

    • No, we don't trying SP5 and, i think, we will try to install new PI 7.1, instead upgrading XI 3.0 on NW6.40. And don't trying to apply any SP. But, i want to hope, SAP resolve the problem soon))).